List a company's fixed assets
curl --request GET \
--url https://api.clemta.com/v1/companies/{companyID}/fixed-assets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clemta.com/v1/companies/{companyID}/fixed-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clemta.com/v1/companies/{companyID}/fixed-assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.clemta.com/v1/companies/{companyID}/fixed-assets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"items": [
{
"object": "fixed_asset",
"id": "fxa_0346sFPEvSkJvY8vt14NNw",
"number": "<string>",
"company": "<string>",
"title": "<string>",
"livemode": true,
"created_at": "2023-11-07T05:31:56Z",
"placed_in_service": "2023-12-25",
"cost": 123,
"salvage_value": 123,
"business_use": 123,
"depreciable_basis": 123
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}List a company's fixed assets
The company’s fixed-asset register. The federal tax filing draws from these.
GET
/
companies
/
{companyID}
/
fixed-assets
List a company's fixed assets
curl --request GET \
--url https://api.clemta.com/v1/companies/{companyID}/fixed-assets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clemta.com/v1/companies/{companyID}/fixed-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clemta.com/v1/companies/{companyID}/fixed-assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.clemta.com/v1/companies/{companyID}/fixed-assets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"items": [
{
"object": "fixed_asset",
"id": "fxa_0346sFPEvSkJvY8vt14NNw",
"number": "<string>",
"company": "<string>",
"title": "<string>",
"livemode": true,
"created_at": "2023-11-07T05:31:56Z",
"placed_in_service": "2023-12-25",
"cost": 123,
"salvage_value": 123,
"business_use": 123,
"depreciable_basis": 123
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}Authorizations
Your API key, e.g. Authorization: Bearer clmt_test_. Live keys use the clmt_live_ prefix.
Path Parameters
ID of the company.
Pattern:
^cmp_[0-9A-Za-z]{22}$⌘I